## START: Set by rpmautospec
## (rpmautospec version 0.3.8)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname sciris

Name:          python-%{srcname}
Version:       3.1.2
Release:       %autorelease
Summary:       Fast, flexible tools to simplify scientific Python

License:       MIT
URL:           https://github.com/sciris/sciris

Source:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

# FIXME: Pip package doesn't have all the test files.
# Source0:       %{pypi_source}

BuildArch:     noarch

# Build dependencies
BuildRequires: gcc
BuildRequires: python3-devel
BuildRequires: %{py3_dist setuptools}

# Test dependencies
BuildRequires: %{py3_dist pytest}

# Library dependencies
BuildRequires: %{py3_dist dill}
BuildRequires: %{py3_dist matplotlib}
BuildRequires: %{py3_dist multiprocess}
BuildRequires: %{py3_dist numpy}
BuildRequires: %{py3_dist openpyxl}
BuildRequires: %{py3_dist pandas}
BuildRequires: %{py3_dist psutil}
BuildRequires: %{py3_dist tqdm}
BuildRequires: %{py3_dist zstandard}

# Additional library dependencies
BuildRequires: %{py3_dist dateutils}
BuildRequires: %{py3_dist GitPython}
BuildRequires: %{py3_dist jellyfish}
BuildRequires: %{py3_dist jsonpickle}
BuildRequires: %{py3_dist packaging}
BuildRequires: %{py3_dist pyyaml}
BuildRequires: %{py3_dist xlsxwriter}

%global _description %{expand:
Sciris is a library of tools that can help make writing scientific Python code easier and more pleasant.

Documentation is available at: https://sciris.readthedocs.io/}

%description %_description

%package -n python3-%{srcname}
Summary: %{summary}
	
%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%{py3_build}

%install
%{py3_install}

%check
# Disable network dependent tests.
k="${k-}${k+ and }not test_download"
# Disable profiling
k="${k-}${k+ and }not test_profile"
%pytest -k "${k-}"

%files -n python3-%{srcname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.egg-info

%changelog
## START: Generated by rpmautospec
* Fri Dec 15 2023 John Doe <packager@example.com> - 3.1.2-1
- Uncommitted changes
## END: Generated by rpmautospec
